#ifndef OP5_LICENSE_BACKBOX_OP5LICENSE_H_
#define OP5_LICENSE_BACKBOX_OP5LICENSE_H_
#include <openssl/evp.h>
#include "ezxml.h"

#define BUFSIZE (1024 * 50)

// hope that we have no more then 1000 items in license 
#define MAX_ITEMS 1024 


extern char license_buffer[BUFSIZE];

unsigned char *calculate_digest(unsigned char *input);
void add_to_buffer(char *line);
char *license_to_string(ezxml_t license_node);
char *license_to_string_v2(ezxml_t license_node);
#endif
