#include "license_logging.h"
#include <stdlib.h>
#include <stdarg.h>

void license_log_default(const char *format, ...);

license_log_func license_log = license_log_default;

void license_log_default(const char *format, ...) {
	va_list ap;
	char *debug_enabled = getenv(OP5_LICENSE_DEBUG_ENVVAR);
	va_start(ap, format);
	if (debug_enabled && 0 == strncmp("1", debug_enabled, 1)){
		vfprintf(stderr, format, ap);
	}
	va_end(ap);
}
